import { ModelUtilImpl, ConditionUtil, FieldUtil } from 'model-util';
import { BaseServiceVO } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 14:46
 */
interface BaseServiceVOCU extends ConditionUtil<BaseServiceVOCU> {
    ID: FieldUtil<BaseServiceVOCU>;
    SERVICE_CENTER_NAME: FieldUtil<BaseServiceVOCU>;
    APP_NAME: FieldUtil<BaseServiceVOCU>;
    ENV_CODE: FieldUtil<BaseServiceVOCU>;
    K8S_NAME: FieldUtil<BaseServiceVOCU>;
    NAME: FieldUtil<BaseServiceVOCU>;
    LABEL: FieldUtil<BaseServiceVOCU>;
    CONFIG_CENTER_CODE: FieldUtil<BaseServiceVOCU>;
    IMAGE_NAME: FieldUtil<BaseServiceVOCU>;
    SPEC_TEMPLATE_NAME: FieldUtil<BaseServiceVOCU>;
    METRICS_TEMPLATE_NAME: FieldUtil<BaseServiceVOCU>;
    IMAGE_PORT_MAPPING: FieldUtil<BaseServiceVOCU>;
    SLB_NAME: FieldUtil<BaseServiceVOCU>;
    SLB_PORT_MAPPING: FieldUtil<BaseServiceVOCU>;
    PROGRESS_KEYWORD: FieldUtil<BaseServiceVOCU>;
}
declare class BaseServiceVOMU extends ModelUtilImpl<BaseServiceVOCU, BaseServiceVO> {
    joinTables: any[];
    selectSQL: string;
    tableFields: string[];
    modelFields: string[];
    createConditionUtil(): BaseServiceVOCU;
    static get ID(): FieldUtil<BaseServiceVOCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<BaseServiceVOCU>;
    static get APP_NAME(): FieldUtil<BaseServiceVOCU>;
    static get ENV_CODE(): FieldUtil<BaseServiceVOCU>;
    static get K8S_NAME(): FieldUtil<BaseServiceVOCU>;
    static get NAME(): FieldUtil<BaseServiceVOCU>;
    static get LABEL(): FieldUtil<BaseServiceVOCU>;
    static get CONFIG_CENTER_CODE(): FieldUtil<BaseServiceVOCU>;
    static get IMAGE_NAME(): FieldUtil<BaseServiceVOCU>;
    static get SPEC_TEMPLATE_NAME(): FieldUtil<BaseServiceVOCU>;
    static get METRICS_TEMPLATE_NAME(): FieldUtil<BaseServiceVOCU>;
    static get IMAGE_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    static get SLB_NAME(): FieldUtil<BaseServiceVOCU>;
    static get SLB_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    static get PROGRESS_KEYWORD(): FieldUtil<BaseServiceVOCU>;
    get ID(): FieldUtil<BaseServiceVOCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<BaseServiceVOCU>;
    get APP_NAME(): FieldUtil<BaseServiceVOCU>;
    get ENV_CODE(): FieldUtil<BaseServiceVOCU>;
    get K8S_NAME(): FieldUtil<BaseServiceVOCU>;
    get NAME(): FieldUtil<BaseServiceVOCU>;
    get LABEL(): FieldUtil<BaseServiceVOCU>;
    get CONFIG_CENTER_CODE(): FieldUtil<BaseServiceVOCU>;
    get IMAGE_NAME(): FieldUtil<BaseServiceVOCU>;
    get SPEC_TEMPLATE_NAME(): FieldUtil<BaseServiceVOCU>;
    get METRICS_TEMPLATE_NAME(): FieldUtil<BaseServiceVOCU>;
    get IMAGE_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    get SLB_NAME(): FieldUtil<BaseServiceVOCU>;
    get SLB_PORT_MAPPING(): FieldUtil<BaseServiceVOCU>;
    get PROGRESS_KEYWORD(): FieldUtil<BaseServiceVOCU>;
}
export { BaseServiceVOMU, BaseServiceVOCU };
